booster::system::error_code Class Reference

The lightweight object that carries a error code information and its category. More...

`#include <booster/booster/system_error.h>`

## Public Member Functions

| error_code ()
| error_code (int val, error_category const &cat)
int | value () const
const error_category & | category () const
std::string | message () const
| operator bool () const

## Detailed Description

The lightweight object that carries a error code information and its category.

It is a pair: an integer code and a reference to the error_category object.

## Constructor & Destructor Documentation

booster::system::error_code::error_code | ( |  | ) |

inline

Create an empty error object - no error

booster::system::error_code::error_code | ( | int | val,
|  | error_category const & | cat
| ) |  |

inline

Create a error object withing specific category cat with code val

## Member Function Documentation

const error_category& booster::system::error_code::category | ( |  | ) | const

inline

Get the reference to the specific category

Referenced by booster::system::operator==().

std::string booster::system::error_code::message | ( |  | ) | const

inline

Convert the error code to the human readable string

References booster::system::error_category::message(), and booster::system::error_category::name().

booster::system::error_code::operator bool | ( |  | ) | const

inline

Convert to bool - returns true of it is a error and false if it is not (value()==0)

References value().

int booster::system::error_code::value | ( |  | ) | const

inline

Get the numeric code of the error

Referenced by operator bool(), and booster::system::operator==().

The documentation for this class was generated from the following file:

- booster/system_error.h